This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309693 - [RFE] Enhance the functionality of add_disk for adv configs
[RFE] Enhance the functionality of add_disk for adv configs
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.5.0
All All
high Severity high
: GA
: 5.8.0
Assigned To: Moti Asayag
Milan Falešník
automate
: FutureFeature, TestOnly
: 1130060 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 08:55 EST by Josh Carter
Modified: 2017-06-12 12:08 EDT (History)
13 users (show)

See Also:
Fixed In Version: 5.8.0.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-12 12:08:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Greg McCullough 2016-02-25 09:45:46 EST
*** Bug 1130060 has been marked as a duplicate of this bug. ***
Comment 3 Greg McCullough 2016-03-07 13:09:42 EST
Related bugs:
Bug 1130060 - Support thin_provision flag.
Bug 1311221 - Support independent-persistent flags.
Comment 6 Edu Alcaniz 2016-11-16 09:33:29 EST
We need an update about this RFE please?
Comment 7 Satoe Imaishi 2016-11-16 10:14:00 EST
No update I can provide from the build side, as this hasn't been fixed yet. Based on the flags set on this bug, it's not targeted for cfme 5.7.

Please check with GregM for the status.
Comment 8 Edu Alcaniz 2016-11-17 17:31:47 EST
Thanks for the update, Greg could you give more details please.
Comment 11 Edu Alcaniz 2017-01-24 06:28:53 EST
David could you update the progress of the RFE please
Comment 12 Edu Alcaniz 2017-01-24 06:29:06 EST
Dave could you update the progress of the RFE please
Comment 15 Greg McCullough 2017-02-02 09:15:13 EST
Adding disks has been implemented in PR
https://github.com/ManageIQ/manageiq/pull/13318 for bug 1123068.
Comment 16 Satoe Imaishi 2017-02-02 11:17:58 EST
bug 1414893 is the 5.7.z clone of bug 1123068
Comment 17 Edu Alcaniz 2017-03-06 04:55:34 EST
(In reply to Greg McCullough from comment #15)
> Adding disks has been implemented in PR
> https://github.com/ManageIQ/manageiq/pull/13318 for bug 1123068.

This is for RHEV and customer use VMware, this RFE was created for VMware.
Comment 18 Greg McCullough 2017-03-06 08:32:54 EST
Edu - VMware already supports these options.
Comment 21 Edu Alcaniz 2017-03-27 05:15:59 EDT
Could you give us an update please.
Comment 22 Milan Falešník 2017-03-27 05:49:50 EDT
Verified in 5.8.0.7 against RHEV 4.0

I executed this against a vm in automate:

vm.add_disk('testdisk2', 1536, :thin_provisioned => true)

and the disk got added as expected.

This feature throws a nil class exception in the log when used with RHEV 3.6 and the exception is not user-handleable. Should it either work or should it be posible to handle it?
Comment 23 Moti Asayag 2017-03-27 07:15:00 EDT
(In reply to Milan Falešník from comment #22)
> Verified in 5.8.0.7 against RHEV 4.0
> 
> I executed this against a vm in automate:
> 
> vm.add_disk('testdisk2', 1536, :thin_provisioned => true)
> 
> and the disk got added as expected.
> 
> This feature throws a nil class exception in the log when used with RHEV 3.6
> and the exception is not user-handleable. Should it either work or should it
> be possible to handle it?

RHEV 3.6 doesn't support disk attachments, therefore it shouldn't work for 3.6 hosts.

However, this issue should be tracked by Bug 1123068.
Could you comment there and attach the exception from log to that bug ?
Comment 24 Edu Alcaniz 2017-03-27 07:29:06 EDT
(In reply to Moti Asayag from comment #23)
> (In reply to Milan Falešník from comment #22)
> > Verified in 5.8.0.7 against RHEV 4.0
> > 
> > I executed this against a vm in automate:
> > 
> > vm.add_disk('testdisk2', 1536, :thin_provisioned => true)
> > 
> > and the disk got added as expected.
> > 
> > This feature throws a nil class exception in the log when used with RHEV 3.6
> > and the exception is not user-handleable. Should it either work or should it
> > be possible to handle it?
> 
> RHEV 3.6 doesn't support disk attachments, therefore it shouldn't work for
> 3.6 hosts.
> 
> However, this issue should be tracked by Bug 1123068.
> Could you comment there and attach the exception from log to that bug ?

Hi, my customer only works with VMware. if you need any test let me know.

Note You need to log in before you can comment on or make changes to this bug.